#include "stm32f4xx.h"
#include "SysTick.h"
#include "DUART.h"
#include "SPI1_Dev.h"
#include "TFT_SPI.h"
#include "F_SPI.h"
#include "SDCard.h"
#include "diskio.h"
#include "ff.h"
#include "FontUPD.h"
#include "Text.h"
#include <stdlib.h>

/* עPE3ӵVCCֹLIS302DL. */
uint8_t key;

int main(void)
{
    /* IO˿ʱӵԲд. */
    RCC->AHB1ENR = 0x001000FF;

    SysTick_Init();
    DUSART_Init();
    SPI1_LowLevel_Init();
    LCD_IO_Init();
    LCD_Init();
    LCD_Clear(0xFFFF);

    //fs=(FATFS *)malloc(sizeof(FATFS));
    //OutPutFile();

    while(W25QXX_Init() != 0x4017)
    {

        while(1)
        {
            LCD_ShowString(30, 150, 200, 16, 16, "W25Q128 Check Failed!", 0x0000, 0xFFFF);
            Delay(500);
            LCD_ShowString(30, 150, 200, 16, 16, "Please Check!        ", 0x0000, 0xFFFF);
            Delay(500);
        }
    }
    while(W25QXX_Init() != 0x4017)								//ⲻW25Q128
    {

        while(1)
        {
            LCD_ShowString(30, 150, 200, 16, 16, "W25Q128 Check Failed!", 0x0000, 0xFFFF);
            Delay(500);
            LCD_ShowString(30, 150, 200, 16, 16, "Please Check!        ", 0x0000, 0xFFFF);
            Delay(500);
        }
    }

    while(Font_Init())			//ֿ
    {

        LCD_Clear(0xffff);		   	//
        LCD_ShowString(30, 50, 200, 16, 16, "Explorer STM32F4", 0x3F00, 0xFFFF);
        while(SD_Init() != 0x2A)			//SD
        {
            LCD_ShowString(30, 70, 200, 16, 16, "SD Card Failed!", 0x3F00, 0xFFFF);
            Delay(200);
            LCD_Fill(30, 70, 200 + 30, 70 + 16, 0xFFFF);
            Delay(200);
        }
        LCD_ShowString(30, 70, 200, 16, 16, "SD Card OK", 0x3F00, 0xFFFF);
        LCD_ShowString(30, 90, 200, 16, 16, "Font Updating...", 0x3F00, 0xFFFF);
        key = update_font(20, 110, 16, "0:"); //ֿ
        while(key)//ʧ
        {
            LCD_ShowString(30, 110, 200, 16, 16, "Font Update Failed!", 0x3F00, 0xFFFF);
            Delay(200);
            LCD_Fill(20, 110, 200 + 20, 110 + 16, 0xFFFF);
            Delay(200);
        }
        LCD_ShowString(30, 110, 200, 16, 16, "Font Update Success!   ", 0x3F00, 0xFFFF);
        Delay(1500);
        LCD_Clear(0xFFFF);//
    }
    Show_Str(30, 50, 200, 16, "TaterLi ", 16, 0x1E1E, 0xFF00);
    Show_Str(30, 70, 200, 16, "յ", 16, 0x1E1E, 0xFF00);

    Show_Str(30, 90, 200, 16, "κ", 16, 0x1E1E, 0xFF00);
    Show_Str(30, 110, 200, 16, "˭֪̥", 16, 0x1E1E, 0xFF00);
    Show_Str(30, 130, 200, 16, "", 16, 0x1E1E, 0xFF00);

    while (1)
    {

    }
}

