#ifndef __FONTUPD_H__
#define __FONTUPD_H__
#include <stm32f4xx.h>
#include "ff.h"

extern uint32_t FONTINFOADDR;

__packed typedef struct
{
    uint8_t FontSign;				/* OK = 0xAA*/
    uint32_t UGBK_A;
    uint32_t UGBK_L;
    uint32_t YaHei1609_A;
    uint32_t YaHei1609_L;
    uint32_t YaHei2011_A;
    uint32_t YaHei2011_L;
    uint32_t YaHei2413_A;
    uint32_t YaHei2413_L;
    uint32_t YaHei3218_A;
    uint32_t YaHei3218_L;
} _Font_Flash;


extern _Font_Flash _FtInfo;

uint32_t FUPD_Progress(uint16_t x, uint16_t y, uint8_t size, uint32_t fsize, uint32_t pos);
uint8_t updata_fontx(uint16_t x, uint16_t y, uint8_t size, uint8_t *fxpath, uint8_t fx);
uint8_t update_font(uint16_t x, uint16_t y, uint8_t size, uint8_t *src);
uint8_t Font_Init(void);
#endif
